## cvs-fast-export 1.34

=== debian/changelog ===
cvs-fast-export (1.34-1) unstable; urgency=medium

  * Initial release (Closes: #773316).  Upstream version 1.34 contains:
     - Another Python compatibility fix.
     - Fix to inconsistent license header in revdir.c.

 -- Anthony Fok <foka@debian.org>  Fri, 25 Sep 2015 12:31:28 -0600

cvs-fast-export (1.29-1) UNRELEASED; urgency=low

  * First attempt at Initial release, rejected due to inconsistent
    license in revdir.c (GPL-2) vs the rest of the package (GPL-2+).
    (would have closed #773316)
  * Cherry-pick minor post-1.29 fixes from upstream.

 -- Anthony Fok <foka@debian.org>  Thu, 18 Dec 2014 14:52:09 -0700

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	make man html reporting-bugs.html
	asciidoc hacking.asc

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

override_dh_auto_clean:
	dh_auto_clean
	find tests -path '*/CVSROOT/history' -type f -exec sed -i '/|esr|/!d' '{}' \;

## cvs-fast-export 1.35

=== Makefile ===
# Makefile for cvs-fast-export
#
# Build requirements: A C compiler, bison 3.x.x, flex, and asciidoc.
# The C compiler must support anonymous unions (GNU, clang, C11).
#
# If you get a link error complaining that clock_gettime() can't be
# found, uncomment the line that includes -lrt in the link flags.
# You'll need this if your glibc version is < 2.17; that is for RHEL 6
# or older and Debian Wheezy or older.  Alas, we can't unconditionally
# include -lrt because Darwin.
#
# The test suite requires Python 2.6, RCS, and CVS installed.
#
# You will see some meaningless failures with git 1.7.1 and older.
# For documentation, you will need asciidoc, xsltproc and docbook stylesheets.

VERSION=1.35

.PATH: $(.PARSEDIR)
prefix?=/usr/local
target=$(DESTDIR)$(prefix)
parsedir:=$(.PARSEDIR)
srcdir=$(dir $(abspath $(firstword $(MAKEFILE_LIST))))$(parsedir)
VPATH=$(srcdir)

INSTALL = install

GCC_WARNINGS1=-Wall -Wpointer-arith -Wstrict-prototypes
GCC_WARNINGS2=-Wmissing-prototypes -Wmissing-declarations
GCC_WARNINGS3=-Wno-unused-function -Wno-unused-label -Wno-format-zero-length
GCC_WARNINGS=$(GCC_WARNINGS1) $(GCC_WARNINGS2) $(GCC_WARNINGS3)
CFLAGS=$(GCC_WARNINGS)
CPPFLAGS += -I. -I$(srcdir)
#LIBS=-lrt
CPPFLAGS += -DVERSION=\"$(VERSION)\"

# Enable this for multithreading.
CFLAGS += -pthread
CPPFLAGS += -DTHREADS

# Optimizing for speed. Comment this out for distribution builds
CFLAGS += -march=native

# To enable debugging of the Yacc grammar, uncomment the following line
#CPPFLAGS += -DYYDEBUG=1
# To enable verbose debugging of the analysis stage, uncomment the following line
#CPPFLAGS += -DCVSDEBUG=1
# To enable debugging of blob export, uncomment the following line
#CPPFLAGS += -DFDEBUG=1
# To enable assertions of red black trees, uncomment the following line
#CPPFLAGS += -DRBDEBUG=1
# To enable debugging of order instability issues
#CPPFLAGS += -DORDERDEBUG=1
# To enable debugging of gitspace backlinks, uncomment the following line
#CPPFLAGS += -DGITSPACEDEBUG=1

# Condition in various optimization hacks.  You almost certainly
# don't want to turn any of these off; the condition symbols are
# present more as documentation of the program structure than
# anything else
CPPFLAGS += -DREDBLACK # Use red-black trees for faster symbol lookup
CPPFLAGS += -DUSE_MMAP # Use mmap for reading CVS masters
CPPFLAGS += -DLINESTATS # Keep track of which lines have @ string delimiters
CPPFLAGS += -DTREEPACK # Reduce memory usage, particularly on large repos

# First line works for GNU C.  
# Replace with the next if your compiler doesn't support C99 restrict qualifier
CPPFLAGS+=-Drestrict=__restrict__
#CPPFLAGS+=-Drestrict=""

# To enable profiling, uncomment the following line
# Note: the profiler gets confused if you don't also turn off -O flags.
# CFLAGS += -pg
CFLAGS += -O3
# If your toolchain supports link time optimization this is a cheap speedup
# CFLAGS += -flto
# CFLAGS += -g
# Test coverage flags
# CFLAGS += -ftest-coverage -fprofile-arcs
CFLAGS += $(EXTRA_CFLAGS)

#YFLAGS= --report=all
LFLAGS=

OBJS=gram.o lex.o rbtree.o main.o import.o dump.o cvsnumber.o \
	cvsutil.o revdir.o revlist.o atom.o revcvs.o generate.o export.o \
	nodehash.o tags.o authormap.o graph.o utils.o merge.o hash.o

cvs-fast-export: $(OBJS)
	$(CC) $(CFLAGS) $(TARGET_ARCH) $(OBJS) $(LDFLAGS) $(LIBS) -o $@

$(OBJS): cvs.h cvstypes.h
revcvs.o cvsutils.o rbtree.o: rbtree.h
atom.o nodehash.o revcvs.o revdir.o: hash.h
revdir.o: treepack.c dirpack.c revdir.c
dump.o export.o graph.o main.o merge.o revdir.o: revdir.h

BISON ?= bison

gram.h gram.c: gram.y
	$(BISON)  $(YFLAGS) --defines=gram.h --output-file=gram.c $(srcdir)/gram.y
lex.h lex.c: lex.l
	flex $(LFLAGS) --header-file=lex.h --outfile=lex.c $(srcdir)/lex.l

gram.o: gram.c lex.h gram.h
import.o: import.c lex.h gram.h
lex.o: lex.c gram.h

.SUFFIXES: .html .asc .txt .1

# Requires asciidoc and xsltproc/docbook stylesheets.
.asc.1:
	a2x --doctype manpage --format manpage -D . $<
.asc.html:
	a2x --doctype manpage --format xhtml -D . $<
	rm -f docbook-xsl.css

reporting-bugs.html: reporting-bugs.asc
	asciidoc reporting-bugs.asc

man: cvs-fast-export.1 cvssync.1 cvsconvert.1

html: cvs-fast-export.html cvssync.html cvsconvert.html

clean:
	rm -f $(OBJS) gram.h gram.c lex.h lex.c cvs-fast-export
	rm -f *.1 *.html docbook-xsl.css gram.output gmon.out
	rm -f MANIFEST index.html *.tar.gz
	rm -f *.gcno *.gcda

check: cvs-fast-export
	@[ -d tests ] || mkdir tests
	$(MAKE) -C tests -s -f $(srcdir)tests/Makefile

install: install-bin install-man
install-bin: cvs-fast-export cvssync cvsconvert
	$(INSTALL) -d "$(target)/bin"
	$(INSTALL) $^ "$(target)/bin"
install-man: man
	$(INSTALL) -d "$(target)/share/man/man1"
	$(INSTALL) -m 644 cvs-fast-export.1 "$(target)/share/man/man1"
	$(INSTALL) -m 644 cvssync.1 "$(target)/share/man/man1"
	$(INSTALL) -m 644 cvsconvert.1 "$(target)/share/man/man1"

PROFILE_REPO = ~/software/groff-conversion/groff-mirror/groff
gmon.out: cvs-fast-export
	find $(PROFILE_REPO) -name '*,v' | cvs-fast-export -k -p >/dev/null
PROFILE: gmon.out
	gprof cvs-fast-export >PROFILE


# Weird suppressions are required because of strange tricks in Bison and Flex.
CSUPPRESSIONS = -U__UNUSED__ -UYYPARSE_PARAM -UYYTYPE_INT16 -UYYTYPE_INT8 \
	-UYYTYPE_UINT16 -UYYTYPE_UINT8 -UYY_USER_INIT -UYY_READ_BUF_SIZE \
	-UYY_NO_INPUT -UECHO -UYY_START_STACK_INCR -UYY_FATAL_ERROR \
	-U_SC_NPROCESSORS_ONLN -Ushort -Usize_t -Uyytext_ptr \
	-Uyyoverflow -U__cplusplus
cppcheck:
	cppcheck -I. --template gcc --enable=all $(CSUPPRESSIONS) --suppress=unusedStructMember --suppress=unusedFunction --suppress=unreadVariable --suppress=uselessAssignmentPtrArg --suppress=missingIncludeSystem *.[ch]

PYLINTOPTS = --rcfile=/dev/null --reports=n \
	--msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
	--dummy-variables-rgx='^_'
PYSUPPRESSIONS = --disable="C0103,C0301,C0325,R0912,W0142"
pylint:
	@pylint $(PYLINTOPTS) $(PYSUPPRESSIONS) cvssync cvsconvert cvsreduce

# Because we don't want copies of the test repositories in the distribution.
distclean: clean
	cd tests; $(MAKE) --quiet clean

SOURCES = Makefile *.[ch] *.[yl] cvssync cvsconvert cvsreduce
DOCS = README COPYING NEWS AUTHORS TODO control *.asc cfe-logo.png
ALL =  $(SOURCES) $(DOCS) tests
cvs-fast-export-$(VERSION).tar.gz: $(ALL)
	tar --transform='s:^:cvs-fast-export-$(VERSION)/:' --show-transformed-names -cvzf cvs-fast-export-$(VERSION).tar.gz $(ALL)

dist: distclean cvs-fast-export-$(VERSION).tar.gz

release: cvs-fast-export-$(VERSION).tar.gz html
	shipper version=$(VERSION) | sh -e -x

refresh: html
	shipper -N -w version=$(VERSION) | sh -e -x

=== tests/Makefile ===
# Test makefile for cvs-fast-export

# Set OPTS to pass options to the cvs-fast-export instances.

PATH := ${CURDIR}/..:${PATH}
SHELL = sh	# Do not introduce bashisms!
CVS = cvs
DIFF = diff -u -a
CVS_FAST_EXPORT = ../cvs-fast-export $(OPTS)

check: test

.SUFFIXES: .tst .repo .testrepo .checkout .dot .fi ,v

.tst.repo:
	python $<
.repo.checkout:
	$(CVS) -d :local:${CURDIR}/$*.repo -Q checkout module && mv module $*.checkout
.repo.dot:
	find $</module -name '*,v' | $(CVS_FAST_EXPORT) -g >$*.dot
.repo.fi:
	find $</module -name '*,v' | $(CVS_FAST_EXPORT) >$*.dot
.testrepo.checkout:
	$(CVS) -d :local:${CURDIR}/$*.testrepo -Q checkout module && mv module $*.checkout
.testrepo.dot:
	find $</module -name '*,v' | $(CVS_FAST_EXPORT) -g >$*.dot
.testrepo.fi:
	find $</module -name '*,v' | $(CVS_FAST_EXPORT) >$*.fi
,v.dot:
	$(CVS_FAST_EXPORT) -g $< >$*.dot

test: s_regress m_regress r_regress i_regress f_regress t_regress c_regress
	@echo "No diff output is good news."

rebuild: s_rebuild m_rebuild r_rebuild i_rebuild t_rebuild

testlist:
	@grep '^##' *.tst *.py

neutralize.map:
	@echo "$${USER} = foo <foo> -0500" >neutralize.map

TESTLOADS := $(shell ls -1 *.tst | sed '/.tst/s///')
TESTOPTS = -k kv -T -A neutralize.map --reposurgeon
s_rebuild: neutralize.map
	@-for file in $(TESTLOADS); do \
	    echo "Remaking $${file}.chk"; \
	    $(MAKE) --quiet $${file}.repo; \
	    find $${file}.repo/module -name '*,v' | $(CVS_FAST_EXPORT) $(TESTOPTS) >$${file}.chk 2>&1; \
	done;
s_regress: neutralize.map
	@echo "== Dump regressions =="
	@-for file in $(TESTLOADS); do \
	    echo -n "  $${file} "; grep '##' $${file}.tst  || echo ' ## (no description)'; \
	    $(MAKE) --quiet $${file}.repo; \
	    find $${file}.repo/module -name '*,v' | $(CVS_FAST_EXPORT) $(TESTOPTS) 2>&1 | $(DIFF) $${file}.chk -; \
	done

MASTERS := $(shell ls -1 *,v | sed '/,v/s///')
m_rebuild:
	@-for file in $(MASTERS); do \
	    echo "Remaking $${file}.chk"; \
	    $(CVS_FAST_EXPORT) $${file},v >$${file}.chk 2>&1; \
	done;
m_regress:
	@echo "== Master-parsing regressions =="
	@-for file in $(MASTERS); do \
	    echo -n "  $${file}: "; sed <$${file},v -n -e '/^comment[	 ]*@# \(.*\)@;/s//\1/p'; \
	    $(CVS_FAST_EXPORT) $${file},v 2>&1 | $(DIFF) $${file}.chk -; \
	done

INCREMENTAL=twobranch
THRESHOLD=104000
i_rebuild: neutralize.map
	@-for file in $(INCREMENTAL); do \
	    echo "Remaking $${file}.inc-chk"; \
	    $(MAKE) --quiet $${file}.repo; \
	    find $${file}.repo/module -name '*,v' | $(CVS_FAST_EXPORT) -T -A neutralize.map -i $(THRESHOLD) >$${file}.inc-chk 2>&1; \
	done;
i_regress: neutralize.map
	@echo "== Incremental-dump regressions =="
	@-for file in $(INCREMENTAL); do \
	    echo -n "  $${file} "; grep '##' $${file}.tst  || echo ' ## (no description)'; \
	    $(MAKE) --quiet $${file}.repo; \
	    find $${file}.repo/module -name '*,v' | $(CVS_FAST_EXPORT) -T -i $(THRESHOLD) -A neutralize.map 2>&1 | $(DIFF) $${file}.inc-chk -; \
	done

# Alas, this produces false failures on branchy repos because of some
# wacky nondeterminism in the git tools.  Thus we can only test
# repeatably on linear ones.  There's also some wacky non-idempotency
# in how git handles timezones.
LINEAR = basic expand hack1 hack2 hack3 longrev twotag
f_regress: neutralize.map
	@echo "== Fast format compatibility =="
	@-for file in $(LINEAR); do \
	    echo -n "  $${file} "; grep '##' $${file}.tst  || echo ' ## (no description)'; \
	    $(MAKE) --quiet $${file}.repo; \
	    find $${file}.repo/module -name '*,v' | $(CVS_FAST_EXPORT) -C -T -A neutralize.map 2>&1 | ./gitwash >canonical$$; \
	    find $${file}.repo/module -name '*,v' | $(CVS_FAST_EXPORT) -F -T -A neutralize.map 2>&1 | ./gitwash >fast$$; \
	    $(DIFF) canonical$$ fast$$; \
	    rm canonical$$ fast$$; \
	done

REDUCED=oldhead
r_rebuild: neutralize.map
	@-for file in $(REDUCED); do \
	    echo "Remaking $${file}.chk"; \
	    find $${file}.testrepo/module -name '*,v' | $(CVS_FAST_EXPORT) $(TESTOPTS) >$${file}.chk 2>&1; \
	done;
r_regress: neutralize.map
	@echo "== Repo regressions =="
	@-for repo in $(REDUCED); do \
	    echo -n "  $${repo} "; grep '##' $${repo}.testrepo/README  || echo ' ## (no description)'; \
	    find $${repo}.testrepo/module -name '*,v' | $(CVS_FAST_EXPORT) $(TESTOPTS) 2>&1 | $(DIFF) $${repo}.chk -; \
	done

PYTESTS=t9601 t9602 t9603 t9604 t9605
PATHSTRIP = sed -e '/\/.*tests/s//tests/'
t_regress:
	@echo "== Pathological cases =="
	@for pytest in $(PYTESTS); do \
		echo -n "  $${pytest} "; grep '##' $${pytest}.py  || echo ' ## (no description)'; \
		python $${pytest}.py 2>&1 | $(PATHSTRIP) | $(DIFF) $${pytest}.err -; \
	done
t_rebuild:
	@for pytest in $(PYTESTS); do \
		echo "Remaking $${pytest}.err "; \
		python $${pytest}.py 2>&1 | $(PATHSTRIP) >$${pytest}.err; \
	done

# Omitted:
# branchy.repo - because of illegal tag
# twotag.repo - because of inconsistent tagging
# QED.testrepo - produces a branch cycle fatal error
# t9601.testrepo - content mismatch expected
# t9602.testrepo - manifest mismatch expected
CT = at.repo basic.repo daughterbranch.repo exec.repo expand.repo \
	hack[123].repo longrev.repo postbranch.repo tagbug.repo \
	twobranch.repo
CD =  oldhead.testrepo t9603.testrepo t9604.testrepo t9605.testrepo \
	vendor.testrepo
c_regress:
	@echo "== Conversion checks =="
	@for ct in $(CT); do $(MAKE) --quiet $$ct; cvsconvert -q -n $$ct; done
	@for cd in $(CD); do cvsconvert -q -n $$cd; done

clean:
	rm -fr neutralize.map *.checkout *.repo *.pyc *.dot *.git *.git.fi

=== debian/changelog ===
cvs-fast-export (1.35-1) unstable; urgency=medium

  * New upstream release 1.35
     - Properly handle CVS masters with nonempty access lists.
     - Bail out gracefully on pathological masters with no revisions.
    Special thanks to John E. Wulff for the fix. (Closes: #801110)
  * Edit Makefile to respect CFLAGS from the environment so that
    DEB_BUILD_OPTIONS=noopt and hardening flags are honoured.
    (Closes: #801108)
  * Comment out -march=native in Makefile to prevent FTBFS on some platforms
    and other potential incompatibility problems.
  * Fix reproducible issues with Asciidoc-generated timestamp.

 -- Anthony Fok <foka@debian.org>  Tue, 15 Dec 2015 11:41:36 -0700

=== debian/control ===
Source: cvs-fast-export
Section: vcs
Priority: optional
Maintainer: Anthony Fok <foka@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python (>= 2.6.6-3~),
               bison, flex, rcs, cvs, git,
               asciidoc, docbook-xml, docbook-xsl, libxml2-utils, xsltproc
Standards-Version: 3.9.6
Homepage: http://www.catb.org/esr/cvs-fast-export/
Vcs-Git: git://anonscm.debian.org/collab-maint/cvs-fast-export.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/cvs-fast-export.git
X-Python-Version: >= 2.6

Package: cvs-fast-export
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Recommends: reposurgeon, cvs, git, rsync
Suggests: rcs, bzr-fastimport
Description: Export an RCS or CVS history as a fast-import stream
 cvs-fast-export, formerly "parsecvs", does what its new name implies:
 exports CVS repositories in a format suitable for git fast-import.
 .
 This program analyzes a collection of RCS files in a CVS repository
 (or outside of one) and, when possible, emits an equivalent history
 in the form of a fast-import stream. Not all possible histories can
 be rendered this way; the program tries to emit useful warnings when
 it can't. The program can also produce a visualization of the
 resulting commit DAG in the DOT format handled by the graphviz suite.
 .
 The distribution includes a tool, cvssync, for fetching masters from
 CVS remote repositories so cvs-fast-export can see them.  You will
 need rsync installed to use it.
 .
 A wrapper script called cvsconvert runs a conversion to git and
 looks for content mismatches with the original CVS.  You will need
 CVS and Git installed to use it.
 .
 Also included is a tool called cvsreduce that strips content out of
 trees of RCS/CVS masters, leaving only metadata structure in place.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	make man html reporting-bugs.html
	TZ=UTC asciidoc hacking.asc

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

override_dh_auto_clean:
	dh_auto_clean
	find tests -path '*/CVSROOT/history' -type f -exec sed -i '/|esr|/!d' '{}' \;

## cvs-fast-export 1.40

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # You will see some meaningless failures with git 1.7.1 and older.
 # For documentation, you will need asciidoc, xsltproc and docbook stylesheets.
 
-VERSION=1.35
+VERSION=1.40
 
 .PATH: $(.PARSEDIR)
 prefix?=/usr/local
@@ -24,6 +24,7 @@
 VPATH=$(srcdir)
 
 INSTALL = install
+TAR = tar
 
 GCC_WARNINGS1=-Wall -Wpointer-arith -Wstrict-prototypes
 GCC_WARNINGS2=-Wmissing-prototypes -Wmissing-declarations
@@ -86,6 +87,8 @@
 	cvsutil.o revdir.o revlist.o atom.o revcvs.o generate.o export.o \
 	nodehash.o tags.o authormap.o graph.o utils.o merge.o hash.o
 
+all: cvs-fast-export man html
+
 cvs-fast-export: $(OBJS)
 	$(CC) $(CFLAGS) $(TARGET_ARCH) $(OBJS) $(LDFLAGS) $(LIBS) -o $@
 
@@ -110,7 +113,7 @@
 
 # Requires asciidoc and xsltproc/docbook stylesheets.
 .asc.1:
-	a2x --doctype manpage --format manpage -D . $<
+	a2x --doctype manpage --format manpage $<
 .asc.html:
 	a2x --doctype manpage --format xhtml -D . $<
 	rm -f docbook-xsl.css
@@ -120,7 +123,7 @@
 
 man: cvs-fast-export.1 cvssync.1 cvsconvert.1
 
-html: cvs-fast-export.html cvssync.html cvsconvert.html
+html: cvs-fast-export.html cvssync.html cvsconvert.html reporting-bugs.html
 
 clean:
 	rm -f $(OBJS) gram.h gram.c lex.h lex.c cvs-fast-export
@@ -128,6 +131,9 @@
 	rm -f MANIFEST index.html *.tar.gz
 	rm -f *.gcno *.gcda
 
+# Warning: The regression tests will fail spuriously if your CVS lacks the
+# MirOS patches.  These are carried by Debian Linux and derivatives; you can
+# check by Looking for "MirDebian" in the output of cvs --version.
 check: cvs-fast-export
 	@[ -d tests ] || mkdir tests
 	$(MAKE) -C tests -s -f $(srcdir)tests/Makefile
@@ -141,6 +147,11 @@
 	$(INSTALL) -m 644 cvs-fast-export.1 "$(target)/share/man/man1"
 	$(INSTALL) -m 644 cvssync.1 "$(target)/share/man/man1"
 	$(INSTALL) -m 644 cvsconvert.1 "$(target)/share/man/man1"
+uninstall: uninstall-man uninstall-bin
+uninstall-man:
+	cd $(target)/share/man/man1/ && rm -f cvs-fast-export.1 cvssync.1 cvsconvert.1
+uninstall-bin:
+	cd $(target)/bin && rm -f cvs-fast-export cvssync cvsconvert
 
 PROFILE_REPO = ~/software/groff-conversion/groff-mirror/groff
 gmon.out: cvs-fast-export
@@ -173,7 +184,7 @@
 DOCS = README COPYING NEWS AUTHORS TODO control *.asc cfe-logo.png
 ALL =  $(SOURCES) $(DOCS) tests
 cvs-fast-export-$(VERSION).tar.gz: $(ALL)
-	tar --transform='s:^:cvs-fast-export-$(VERSION)/:' --show-transformed-names -cvzf cvs-fast-export-$(VERSION).tar.gz $(ALL)
+	$(TAR) --transform='s:^:cvs-fast-export-$(VERSION)/:' --show-transformed-names -cvzf cvs-fast-export-$(VERSION).tar.gz $(ALL)
 
 dist: distclean cvs-fast-export-$(VERSION).tar.gz

=== debian/changelog ===
cvs-fast-export (1.40-1) unstable; urgency=medium

  * New upstream release
  * Build-Depends on the newly split asciidoc-base package rather than
    the asciidoc package to avoid pulling in texlive packages.
  * Bump Standards-Version to 3.9.8 (no change)
  * Use secure https URLs for Vcs-* fields
  * Update copyright years in debian/copyright
  * Refresh Debian patches
  * Ignore quilt dir

 -- Anthony Fok <foka@debian.org>  Fri, 30 Dec 2016 06:50:15 -0700

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: vcs
 Priority: optional
 Maintainer: Anthony Fok <foka@debian.org>
-Build-Depends: debhelper (>= 9), dh-python, python (>= 2.6.6-3~),
+Build-Depends: debhelper (>= 9), dh-python,
+               python (>= 2.6.6-3~),
                bison, flex, rcs, cvs, git,
-               asciidoc, docbook-xml, docbook-xsl, libxml2-utils, xsltproc
-Standards-Version: 3.9.6
+               asciidoc-base, docbook-xml, docbook-xsl, libxml2-utils, xsltproc
+Standards-Version: 3.9.8
 Homepage: http://www.catb.org/esr/cvs-fast-export/
-Vcs-Git: git://anonscm.debian.org/collab-maint/cvs-fast-export.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/cvs-fast-export.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/cvs-fast-export.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cvs-fast-export.git
 X-Python-Version: >= 2.6
 
 Package: cvs-fast-export

## cvs-fast-export 1.41

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # You will see some meaningless failures with git 1.7.1 and older.
 # For documentation, you will need asciidoc, xsltproc and docbook stylesheets.
 
-VERSION=1.40
+VERSION=1.41
 
 .PATH: $(.PARSEDIR)
 prefix?=/usr/local

=== debian/changelog ===
cvs-fast-export (1.41-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright for 2017

 -- Anthony Fok <foka@debian.org>  Sun, 05 Mar 2017 23:28:18 -0700

## cvs-fast-export 1.43

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # You will see some meaningless failures with git 1.7.1 and older.
 # For documentation, you will need asciidoc, xsltproc and docbook stylesheets.
 
-VERSION=1.41
+VERSION=1.43
 
 .PATH: $(.PARSEDIR)
 prefix?=/usr/local

=== tests/Makefile ===
--- 
+++ 
@@ -29,10 +29,10 @@
 ,v.dot:
 	$(CVS_FAST_EXPORT) -g $< >$*.dot
 
-test: s_regress m_regress r_regress i_regress f_regress t_regress c_regress
+test: s_regress m_regress r_regress i_regress f_regress t_regress c_regress z_regress
 	@echo "No diff output is good news."
 
-rebuild: s_rebuild m_rebuild r_rebuild i_rebuild t_rebuild
+rebuild: s_rebuild m_rebuild r_rebuild i_rebuild t_rebuild z_rebuild
 
 testlist:
 	@grep '^##' *.tst *.py
@@ -51,7 +51,7 @@
 s_regress: neutralize.map
 	@echo "== Dump regressions =="
 	@-for file in $(TESTLOADS); do \
-	    echo -n "  $${file} "; grep '##' $${file}.tst  || echo ' ## (no description)'; \
+	    echo -n "  $${file} "; grep -a '##' $${file}.tst  || echo ' ## (no description)'; \
 	    $(MAKE) --quiet $${file}.repo; \
 	    find $${file}.repo/module -name '*,v' | $(CVS_FAST_EXPORT) $(TESTOPTS) 2>&1 | $(DIFF) $${file}.chk -; \
 	done
@@ -80,7 +80,7 @@
 i_regress: neutralize.map
 	@echo "== Incremental-dump regressions =="
 	@-for file in $(INCREMENTAL); do \
-	    echo -n "  $${file} "; grep '##' $${file}.tst  || echo ' ## (no description)'; \
+	    echo -n "  $${file} "; grep -a '##' $${file}.tst  || echo ' ## (no description)'; \
 	    $(MAKE) --quiet $${file}.repo; \
 	    find $${file}.repo/module -name '*,v' | $(CVS_FAST_EXPORT) -T -i $(THRESHOLD) -A neutralize.map 2>&1 | $(DIFF) $${file}.inc-chk -; \
 	done
@@ -89,11 +89,11 @@
 # wacky nondeterminism in the git tools.  Thus we can only test
 # repeatably on linear ones.  There's also some wacky non-idempotency
 # in how git handles timezones.
-LINEAR = basic expand hack1 hack2 hack3 longrev twotag
+LINEAR = basic expand hack1 hack2 hack3 linear longrev twotag
 f_regress: neutralize.map
 	@echo "== Fast format compatibility =="
 	@-for file in $(LINEAR); do \
-	    echo -n "  $${file} "; grep '##' $${file}.tst  || echo ' ## (no description)'; \
+	    echo -n "  $${file} "; grep -a '##' $${file}.tst  || echo ' ## (no description)'; \
 	    $(MAKE) --quiet $${file}.repo; \
 	    find $${file}.repo/module -name '*,v' | $(CVS_FAST_EXPORT) -C -T -A neutralize.map 2>&1 | ./gitwash >canonical$$; \
 	    find $${file}.repo/module -name '*,v' | $(CVS_FAST_EXPORT) -F -T -A neutralize.map 2>&1 | ./gitwash >fast$$; \
@@ -110,7 +110,7 @@
 r_regress: neutralize.map
 	@echo "== Repo regressions =="
 	@-for repo in $(REDUCED); do \
-	    echo -n "  $${repo} "; grep '##' $${repo}.testrepo/README  || echo ' ## (no description)'; \
+	    echo -n "  $${repo} "; grep -a '##' $${repo}.testrepo/README  || echo ' ## (no description)'; \
 	    find $${repo}.testrepo/module -name '*,v' | $(CVS_FAST_EXPORT) $(TESTOPTS) 2>&1 | $(DIFF) $${repo}.chk -; \
 	done
 
@@ -119,7 +119,7 @@
 t_regress:
 	@echo "== Pathological cases =="
 	@for pytest in $(PYTESTS); do \
-		echo -n "  $${pytest} "; grep '##' $${pytest}.py  || echo ' ## (no description)'; \
+		echo -n "  $${pytest} "; grep -a '##' $${pytest}.py  || echo ' ## (no description)'; \
 		python $${pytest}.py 2>&1 | $(PATHSTRIP) | $(DIFF) $${pytest}.err -; \
 	done
 t_rebuild:
@@ -144,5 +144,20 @@
 	@for ct in $(CT); do $(MAKE) --quiet $$ct; cvsconvert -q -n $$ct; done
 	@for cd in $(CD); do cvsconvert -q -n $$cd; done
 
+UNSTRIPPED = $(shell ls t9601.testrepo/module/* at.repo/module/*)
+z_regress:
+	@echo "== Reductions =="
+	@for rtest in $(UNSTRIPPED); do \
+		base=`basename $${rtest}`; \
+		echo "  $${base}"; \
+		cvsreduce <$${rtest} | $(DIFF) reductions/$${base}.reduced -; \
+	done
+z_rebuild:
+	@for rtest in $(UNSTRIPPED); do \
+		base=`basename $${rtest}`; \
+		echo "Remaking $${base}.reduced "; \
+		cvsreduce <$${rtest} >reductions/$${base}.reduced; \
+	done
+
 clean:
 	rm -fr neutralize.map *.checkout *.repo *.pyc *.dot *.git *.git.fi

=== debian/changelog ===
cvs-fast-export (1.43-1) unstable; urgency=medium

  * New upstream release
  * Use debhelper (>= 10)
  * Bump Standards-Version to 4.0.0:
    Use https form of the copyright-format URL in debian/copyright
  * Refresh revdates in 02-reproducible-date.patch
  * Call dh with --no-parallel to avoid doc and test errors

 -- Anthony Fok <foka@debian.org>  Fri, 04 Aug 2017 01:50:49 -0600

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: vcs
 Priority: optional
 Maintainer: Anthony Fok <foka@debian.org>
-Build-Depends: debhelper (>= 9), dh-python,
+Build-Depends: debhelper (>= 10), dh-python,
                python (>= 2.6.6-3~),
                bison, flex, rcs, cvs, git,
                asciidoc-base, docbook-xml, docbook-xsl, libxml2-utils, xsltproc
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.catb.org/esr/cvs-fast-export/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/cvs-fast-export.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cvs-fast-export.git

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,10 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2 --no-parallel
 
 override_dh_auto_build:
 	dh_auto_build
-	make man html reporting-bugs.html
 	TZ=UTC asciidoc hacking.asc
 
 override_dh_auto_install:

=== debian/watch ===
version=3
http://www.catb.org/~esr/cvs-fast-export/cvs-fast-export-(\d[\d.]*)\.tar\.(?:gz|bz2|xz)

## cvs-fast-export 1.44

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # You will see some meaningless failures with git 1.7.1 and older.
 # For documentation, you will need asciidoc, xsltproc and docbook stylesheets.
 
-VERSION=1.43
+VERSION=1.44
 
 .PATH: $(.PARSEDIR)
 prefix?=/usr/local
@@ -85,7 +85,7 @@
 
 OBJS=gram.o lex.o rbtree.o main.o import.o dump.o cvsnumber.o \
 	cvsutil.o revdir.o revlist.o atom.o revcvs.o generate.o export.o \
-	nodehash.o tags.o authormap.o graph.o utils.o merge.o hash.o
+	nodehash.o tags.o authormap.o graph.o utils.o collate.o hash.o
 
 all: cvs-fast-export man html
 
@@ -96,7 +96,7 @@
 revcvs.o cvsutils.o rbtree.o: rbtree.h
 atom.o nodehash.o revcvs.o revdir.o: hash.h
 revdir.o: treepack.c dirpack.c revdir.c
-dump.o export.o graph.o main.o merge.o revdir.o: revdir.h
+dump.o export.o graph.o main.o collate.o revdir.o: revdir.h
 
 BISON ?= bison
 
@@ -109,17 +109,17 @@
 import.o: import.c lex.h gram.h
 lex.o: lex.c gram.h
 
-.SUFFIXES: .html .asc .txt .1
+.SUFFIXES: .html .adoc .txt .1
 
 # Requires asciidoc and xsltproc/docbook stylesheets.
-.asc.1:
+.adoc.1:
 	a2x --doctype manpage --format manpage $<
-.asc.html:
+.adoc.html:
 	a2x --doctype manpage --format xhtml -D . $<
 	rm -f docbook-xsl.css
 
-reporting-bugs.html: reporting-bugs.asc
-	asciidoc reporting-bugs.asc
+reporting-bugs.html: reporting-bugs.adoc
+	asciidoc reporting-bugs.adoc
 
 man: cvs-fast-export.1 cvssync.1 cvsconvert.1
 
@@ -181,7 +181,7 @@
 	cd tests; $(MAKE) --quiet clean
 
 SOURCES = Makefile *.[ch] *.[yl] cvssync cvsconvert cvsreduce
-DOCS = README COPYING NEWS AUTHORS TODO control *.asc cfe-logo.png
+DOCS = README COPYING NEWS AUTHORS TODO control *.adoc cfe-logo.png
 ALL =  $(SOURCES) $(DOCS) tests
 cvs-fast-export-$(VERSION).tar.gz: $(ALL)
 	$(TAR) --transform='s:^:cvs-fast-export-$(VERSION)/:' --show-transformed-names -cvzf cvs-fast-export-$(VERSION).tar.gz $(ALL)

=== tests/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 ,v.dot:
 	$(CVS_FAST_EXPORT) -g $< >$*.dot
 
-test: s_regress m_regress r_regress i_regress f_regress t_regress c_regress z_regress
+test: s_regress m_regress r_regress i_regress f_regress t_regress c_regress z2_regress z3_regress
 	@echo "No diff output is good news."
 
 rebuild: s_rebuild m_rebuild r_rebuild i_rebuild t_rebuild z_rebuild
@@ -144,7 +144,7 @@
 	@for ct in $(CT); do $(MAKE) --quiet $$ct; cvsconvert -q -n $$ct; done
 	@for cd in $(CD); do cvsconvert -q -n $$cd; done
 
-UNSTRIPPED = $(shell ls t9601.testrepo/module/* at.repo/module/*)
+UNSTRIPPED = $(shell ls issue22.txt,v t9601.testrepo/module/* at.repo/module/*)
 z_regress:
 	@echo "== Reductions =="
 	@for rtest in $(UNSTRIPPED); do \
@@ -159,5 +159,15 @@
 		cvsreduce <$${rtest} >reductions/$${base}.reduced; \
 	done
 
+z2_regress:
+	setpython python2
+	make z_regress
+	setpython python
+
+z3_regress:
+	setpython python3
+	make z_regress
+	setpython python
+
 clean:
 	rm -fr neutralize.map *.checkout *.repo *.pyc *.dot *.git *.git.fi

=== debian/changelog ===
cvs-fast-export (1.44-1) unstable; urgency=medium

  * New upstream release
  * Rename debian-branch to debian/sid
  * Apply "cme fix dpkg" fixes to debian/control
  * Bump Standards-Version to 4.1.5 (no change)
  * Use debhelper (>= 11)
  * Adjust for .asc to .adoc renaming of AsciiDoc files
  * Fix "sh: 1: setpython: not found" error in tests/Makefile
  * Add hardening=+all to DEB_BUILD_MAINT_OPTIONS.
    Fixes Lintian info "hardening-no-bindnow usr/bin/cvs-fast-export".
  * Remove ancient "X-Python-Version: >= 2.6" field
  * Replace dh_auto_build’s "make -j1 distclean" with "make -j1 clean"

 -- Anthony Fok <foka@debian.org>  Thu, 12 Jul 2018 10:45:13 -0600

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,36 @@
 Source: cvs-fast-export
+Maintainer: Anthony Fok <foka@debian.org>
 Section: vcs
 Priority: optional
-Maintainer: Anthony Fok <foka@debian.org>
-Build-Depends: debhelper (>= 10), dh-python,
-               python (>= 2.6.6-3~),
-               bison, flex, rcs, cvs, git,
-               asciidoc-base, docbook-xml, docbook-xsl, libxml2-utils, xsltproc
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 11),
+               dh-python,
+               python,
+               bison,
+               flex,
+               rcs,
+               cvs,
+               git,
+               asciidoc-base,
+               docbook-xml,
+               docbook-xsl,
+               libxml2-utils,
+               xsltproc
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian/cvs-fast-export
+Vcs-Git: https://salsa.debian.org/debian/cvs-fast-export.git
 Homepage: http://www.catb.org/esr/cvs-fast-export/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/cvs-fast-export.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cvs-fast-export.git
-X-Python-Version: >= 2.6
 
 Package: cvs-fast-export
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
-Recommends: reposurgeon, cvs, git, rsync
-Suggests: rcs, bzr-fastimport
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${python:Depends}
+Recommends: reposurgeon,
+            cvs,
+            git,
+            rsync
+Suggests: rcs,
+          bzr-fastimport
 Description: Export an RCS or CVS history as a fast-import stream
  cvs-fast-export, formerly "parsecvs", does what its new name implies:
  exports CVS repositories in a format suitable for git fast-import.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

%:
	dh $@ --with python2 --no-parallel

override_dh_auto_build:
	dh_auto_build
	TZ=UTC asciidoc hacking.adoc

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

override_dh_auto_clean:
	make -j1 clean
	find tests -path '*/CVSROOT/history' -type f -exec sed -i '/|esr|/!d' '{}' \;

## cvs-fast-export 1.47

=== Makefile ===
--- 
+++ 
@@ -13,8 +13,11 @@
 #
 # You will see some meaningless failures with git 1.7.1 and older.
 # For documentation, you will need asciidoc, xsltproc and docbook stylesheets.
-
-VERSION=1.44
+#
+# Note: the reason for the .adoc exsentions on README/NEWS/TODO is so they'll
+# display nicely in GitLab's repsitory-browsing interface.
+
+VERSION=$(shell sed -n <NEWS.adoc '/::/s/^\([0-9][^:]*\).*/\1/p' | head -1)
 
 .PATH: $(.PARSEDIR)
 prefix?=/usr/local
@@ -72,7 +75,9 @@
 # To enable profiling, uncomment the following line
 # Note: the profiler gets confused if you don't also turn off -O flags.
 # CFLAGS += -pg
-CFLAGS += -O3
+# Warning: Using -O3 has been seen to cause core dumps on repositories with
+# very long revision names - some bounds check gets optimized away. Don't do that.
+CFLAGS += -O2
 # If your toolchain supports link time optimization this is a cheap speedup
 # CFLAGS += -flto
 # CFLAGS += -g
@@ -159,15 +164,17 @@
 PROFILE: gmon.out
 	gprof cvs-fast-export >PROFILE
 
+version:
+	@echo $(VERSION)
 
 # Weird suppressions are required because of strange tricks in Bison and Flex.
 CSUPPRESSIONS = -U__UNUSED__ -UYYPARSE_PARAM -UYYTYPE_INT16 -UYYTYPE_INT8 \
 	-UYYTYPE_UINT16 -UYYTYPE_UINT8 -UYY_USER_INIT -UYY_READ_BUF_SIZE \
 	-UYY_NO_INPUT -UECHO -UYY_START_STACK_INCR -UYY_FATAL_ERROR \
 	-U_SC_NPROCESSORS_ONLN -Ushort -Usize_t -Uyytext_ptr \
-	-Uyyoverflow -U__cplusplus
+	-Uyyoverflow -U__cplusplus -U__APPLE__ -DCLOCK_REALTIME=0
 cppcheck:
-	cppcheck -I. --template gcc --enable=all $(CSUPPRESSIONS) --suppress=unusedStructMember --suppress=unusedFunction --suppress=unreadVariable --suppress=uselessAssignmentPtrArg --suppress=missingIncludeSystem *.[ch]
+	cppcheck -I. --template gcc --enable=all $(CSUPPRESSIONS) --suppress=unusedStructMember --suppress=unusedFunction --suppress=unreadVariable --suppress=uselessAssignmentPtrArg --suppress=missingIncludeSystem --inline-suppr *.[ch]
 
 PYLINTOPTS = --rcfile=/dev/null --reports=n \
 	--msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
@@ -181,7 +188,7 @@
 	cd tests; $(MAKE) --quiet clean
 
 SOURCES = Makefile *.[ch] *.[yl] cvssync cvsconvert cvsreduce
-DOCS = README COPYING NEWS AUTHORS TODO control *.adoc cfe-logo.png
+DOCS = README.adoc COPYING NEWS.adoc AUTHORS TODO.adoc control *.adoc cfe-logo.png
 ALL =  $(SOURCES) $(DOCS) tests
 cvs-fast-export-$(VERSION).tar.gz: $(ALL)
 	$(TAR) --transform='s:^:cvs-fast-export-$(VERSION)/:' --show-transformed-names -cvzf cvs-fast-export-$(VERSION).tar.gz $(ALL)

=== debian/changelog ===
cvs-fast-export (1.47-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.3.0 (no change)
  * Remove 03-fix-setpython-not-found-error.patch
    which has been applied upstream since upstream version 1.45.
  * debian/docs: Track upstream asciidocified files, i.e.
    NEWS, README, TODO → NEWS.adoc, README.adoc, TODO.adoc

 -- Anthony Fok <foka@debian.org>  Sun, 14 Apr 2019 13:40:39 -0600

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                docbook-xsl,
                libxml2-utils,
                xsltproc
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian/cvs-fast-export
 Vcs-Git: https://salsa.debian.org/debian/cvs-fast-export.git
 Homepage: http://www.catb.org/esr/cvs-fast-export/

## cvs-fast-export 1.50

=== debian/changelog ===
cvs-fast-export (1.50-1) unstable; urgency=medium

  * New upstream version 1.50
  * Add John E. Wulff <gitlab@mg.gitlab.com> and update copyright years
    in debian/copyright
  * Refresh Debian patches for new version

 -- Anthony Fok <foka@debian.org>  Wed, 12 Feb 2020 09:23:45 -0700

cvs-fast-export (1.47-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Non-maintainer upload.
  * Recommend brz rather than bzr-fastexport.

  [ Anthony Fok ]
  * Ignore quilt dir .pc via .gitignore
  * Patch test suite to use Python3 only
  * Patch cvsconvert and tests/testlifter.py
    to replace apply(f, args) with f(*args) "extended call syntax"
    for full Python 3 compatibility
  * Apply "cme fix dpkg" fixes to debian/control
    - Update debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
    - Bump Standards-Version to 4.5.0 (no change)
  * Bump to debhelper-compat (= 12)
  * debian/control, debian/rules: Migrate to Python3 due to upcoming
    Python2 removal in sid/bullseye (Closes: #936356, #942934)

 -- Anthony Fok <foka@debian.org>  Wed, 12 Feb 2020 08:08:58 -0700

## cvs-fast-export 1.51

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # You will see some meaningless failures with git 1.7.1 and older.
 # For documentation, you will need asciidoc, xsltproc and docbook stylesheets.
 #
-# Note: the reason for the .adoc exsentions on README/NEWS/TODO is so they'll
+# Note: the reason for the .adoc extensions on README/NEWS/TODO is so they'll
 # display nicely in GitLab's repsitory-browsing interface.
 
 VERSION=$(shell sed -n <NEWS.adoc '/::/s/^\([0-9][^:]*\).*/\1/p' | head -1)
@@ -25,15 +25,19 @@
 parsedir:=$(.PARSEDIR)
 srcdir=$(dir $(abspath $(firstword $(MAKEFILE_LIST))))$(parsedir)
 VPATH=$(srcdir)
+mandir?=$(DESTDIR)$(prefix)/share/man
 
 INSTALL = install
-TAR = tar
+TAR ?= tar
+BISON ?= bison
+FLEX ?= flex
+A2X ?= a2x
 
 GCC_WARNINGS1=-Wall -Wpointer-arith -Wstrict-prototypes
 GCC_WARNINGS2=-Wmissing-prototypes -Wmissing-declarations
 GCC_WARNINGS3=-Wno-unused-function -Wno-unused-label -Wno-format-zero-length
 GCC_WARNINGS=$(GCC_WARNINGS1) $(GCC_WARNINGS2) $(GCC_WARNINGS3)
-CFLAGS=$(GCC_WARNINGS)
+CFLAGS += $(GCC_WARNINGS)
 CPPFLAGS += -I. -I$(srcdir)
 #LIBS=-lrt
 CPPFLAGS += -DVERSION=\"$(VERSION)\"
@@ -42,8 +46,8 @@
 CFLAGS += -pthread
 CPPFLAGS += -DTHREADS
 
-# Optimizing for speed. Comment this out for distribution builds
-CFLAGS += -march=native
+# Optimizing for speed. Un-comment for testing Linux build
+#CFLAGS += -march=native
 
 # To enable debugging of the Yacc grammar, uncomment the following line
 #CPPFLAGS += -DYYDEBUG=1
@@ -103,12 +107,10 @@
 revdir.o: treepack.c dirpack.c revdir.c
 dump.o export.o graph.o main.o collate.o revdir.o: revdir.h
 
-BISON ?= bison
-
 gram.h gram.c: gram.y
 	$(BISON)  $(YFLAGS) --defines=gram.h --output-file=gram.c $(srcdir)/gram.y
 lex.h lex.c: lex.l
-	flex $(LFLAGS) --header-file=lex.h --outfile=lex.c $(srcdir)/lex.l
+	$(FLEX) $(LFLAGS) --header-file=lex.h --outfile=lex.c $(srcdir)/lex.l
 
 gram.o: gram.c lex.h gram.h
 import.o: import.c lex.h gram.h
@@ -118,9 +120,9 @@
 
 # Requires asciidoc and xsltproc/docbook stylesheets.
 .adoc.1:
-	a2x --doctype manpage --format manpage $<
+	$(A2X) --doctype manpage --format manpage $<
 .adoc.html:
-	a2x --doctype manpage --format xhtml -D . $<
+	$(A2X) --doctype manpage --format xhtml -D . $<
 	rm -f docbook-xsl.css
 
 reporting-bugs.html: reporting-bugs.adoc
@@ -148,13 +150,13 @@
 	$(INSTALL) -d "$(target)/bin"
 	$(INSTALL) $^ "$(target)/bin"
 install-man: man
-	$(INSTALL) -d "$(target)/share/man/man1"
-	$(INSTALL) -m 644 cvs-fast-export.1 "$(target)/share/man/man1"
-	$(INSTALL) -m 644 cvssync.1 "$(target)/share/man/man1"
-	$(INSTALL) -m 644 cvsconvert.1 "$(target)/share/man/man1"
+	$(INSTALL) -d "$(mandir)/man1"
+	$(INSTALL) -m 644 cvs-fast-export.1 "$(mandir)/man1"
+	$(INSTALL) -m 644 cvssync.1 "$(mandir)/man1"
+	$(INSTALL) -m 644 cvsconvert.1 "$(mandir)/man1"
 uninstall: uninstall-man uninstall-bin
 uninstall-man:
-	cd $(target)/share/man/man1/ && rm -f cvs-fast-export.1 cvssync.1 cvsconvert.1
+	cd $(mandir)/man1/ && rm -f cvs-fast-export.1 cvssync.1 cvsconvert.1
 uninstall-bin:
 	cd $(target)/bin && rm -f cvs-fast-export cvssync cvsconvert
 
@@ -174,7 +176,7 @@
 	-U_SC_NPROCESSORS_ONLN -Ushort -Usize_t -Uyytext_ptr \
 	-Uyyoverflow -U__cplusplus -U__APPLE__ -DCLOCK_REALTIME=0
 cppcheck:
-	cppcheck -I. --template gcc --enable=all $(CSUPPRESSIONS) --suppress=unusedStructMember --suppress=unusedFunction --suppress=unreadVariable --suppress=uselessAssignmentPtrArg --suppress=missingIncludeSystem --inline-suppr *.[ch]
+	cppcheck -I. --template $(CC) --enable=all $(CSUPPRESSIONS) --suppress=unusedStructMember --suppress=unusedFunction --suppress=unreadVariable --suppress=uselessAssignmentPtrArg --suppress=missingIncludeSystem --inline-suppr *.[ch]
 
 PYLINTOPTS = --rcfile=/dev/null --reports=n \
 	--msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
@@ -188,7 +190,7 @@
 	cd tests; $(MAKE) --quiet clean
 
 SOURCES = Makefile *.[ch] *.[yl] cvssync cvsconvert cvsreduce
-DOCS = README.adoc COPYING NEWS.adoc AUTHORS TODO.adoc control *.adoc cfe-logo.png
+DOCS = control *.adoc cfe-logo.png
 ALL =  $(SOURCES) $(DOCS) tests
 cvs-fast-export-$(VERSION).tar.gz: $(ALL)
 	$(TAR) --transform='s:^:cvs-fast-export-$(VERSION)/:' --show-transformed-names -cvzf cvs-fast-export-$(VERSION).tar.gz $(ALL)

=== tests/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Set OPTS to pass options to the cvs-fast-export instances.
 
-PATH := ${CURDIR}/..:${PATH}
+PATH := ${CURDIR}/..:${CURDIR}:${PATH}
 SHELL = sh	# Do not introduce bashisms!
 CVS = cvs
 DIFF = diff -u -a
@@ -29,10 +29,10 @@
 ,v.dot:
 	$(CVS_FAST_EXPORT) -g $< >$*.dot
 
-test: s_regress m_regress r_regress i_regress f_regress t_regress c_regress z2_regress z3_regress
+test: s_regress m_regress r_regress i_regress f_regress t_regress c_regress # z2_regress z3_regress
 	@echo "No diff output is good news."
 
-rebuild: s_rebuild m_rebuild r_rebuild i_rebuild t_rebuild z_rebuild
+rebuild: s_rebuild m_rebuild r_rebuild i_rebuild t_rebuild # z_rebuild
 
 testlist:
 	@grep '^##' *.tst *.py
@@ -41,7 +41,7 @@
 	@echo "$${USER} = foo <foo> -0500" >neutralize.map
 
 TESTLOADS := $(shell ls -1 *.tst | sed '/.tst/s///')
-TESTOPTS = -k kv -T -A neutralize.map --reposurgeon
+TESTOPTS = -T -A neutralize.map --reposurgeon
 s_rebuild: neutralize.map
 	@-for file in $(TESTLOADS); do \
 	    echo "Remaking $${file}.chk"; \

=== debian/changelog ===
cvs-fast-export (1.51-1) unstable; urgency=medium

  * New upstream version 1.51
  * Remove 04-python3-removed-apply.patch which has been applied upstream
  * Refresh other Debian patches

 -- Anthony Fok <foka@debian.org>  Tue, 18 Feb 2020 22:55:30 -0700

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Maintainer: Anthony Fok <foka@debian.org>
 Section: vcs
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python,
+               python3,
                bison,
                flex,
                rcs,
@@ -15,7 +15,7 @@
                docbook-xsl,
                libxml2-utils,
                xsltproc
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/cvs-fast-export
 Vcs-Git: https://salsa.debian.org/debian/cvs-fast-export.git
 Homepage: http://www.catb.org/esr/cvs-fast-export/
@@ -24,13 +24,13 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Recommends: reposurgeon,
             cvs,
             git,
             rsync
 Suggests: rcs,
-          bzr-fastimport
+          brz
 Description: Export an RCS or CVS history as a fast-import stream
  cvs-fast-export, formerly "parsecvs", does what its new name implies:
  exports CVS repositories in a format suitable for git fast-import.
